Subject: RE: Local Setup Cache & Rlogin problems
From: Peter Buckley <[email-masked]>
To: "'Brian Ling'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 3 Jul 2001 10:38:39 -0400

I am on NT4SP6, with
inetutils 1.3.2-14
login 1.4-2
cygwin 1.3.2-1

rlogin, telnet, and ssh work- for the most part. 
I had to do plenty of fiddling with ssh_config 
and sshd_config, and it doesn't do RSA or DSA. 

rsh doesn't work, but that's okay, because my 
not-so-secure ssh basically works like rsh. 

So, all my ramblings aside, it seems that your 
rlogin problem is confined to w2k and w95. 

I found the inetutils and ssh readme files to be 
invaluable in setting up rsh, rlogin, telnet, ssh. 
I think the faq and the user guide also had some 
useful stuff on these utilities... like the mkpasswd 
section in the user guide.

And using google helped too- search for 

rlogin site:cygwin.com 

etc.

-Peter  

-----Original Message-----
From: Brian Ling [mailto:[email-masked]]
Sent: Tuesday, July 03, 2001 10:23 AM
To: Sandeep Tamhankar; [email-masked]
Cc: [email-masked]
Subject: Re: Local Setup Cache & Rlogin problems

I have had similar problems to this with rlogin, I went back to cygwin-1.3.1
with everything else current and rlogin started  working again.

This was on a 95 box.

Good Luck

Brian 

on 2/7/01 10:34 pm, Sandeep Tamhankar at [email-masked] wrote:

> I concur.  Last week I upgraded everything and then the rlogin daemon
> stopped working.  (Side note: It still doesn't work; I posted info on
> this list but have only gotten one response stating they have the
> problem too, so it's not just my computer being weird).  Unfortunately,
> last week I didn't know that the old versions of packages are still
> saved in my system.  If I'd known this then, I would've reported exactly
> which modules got upgraded to cause my problems.
> 
> Hmm, it'd probably be a good idea to do this now: upon doing some
> research, I found that my login package was upgraded from 1.4-1 to
> 1.4-2.  My inetutils was upgraded from 1.3.2-11 to 1.3.2-14.  My Cygwin
> itself was upgraded from an old 1.1.8-2 to a whopping 1.3.2-1.
> 
> The symptom I'm seeing is that the rlogin actually succeeds and then
> login yells because I don't seem to have permission to execute
> /bin/bash.  But I do since it's world-readable.  And I can telnet into
> the machine and all is well with the world.  And I can open up bash
> windows on the console.  The other really weird symptom is that when I
> rlogin as a different valid username/password, it rejects the login
> attempt completely.  So I can try rlogging in as myself and getting
> permission denied from login.exe, or I get a total authentication
> failure when trying to rlog in as someone else.
> 
> This is W2k and someone on this list already mentioned that they've seen
> the same problem on W2k, although it used to work for them on NT.  If I
> can get my hands on an NT box (and some time to play with this), I'll
> try setting it up there and testing it out.
> 
> Any advice would be appreciated.
> 
> -Sandeep
> P.S. I have a sneaking suspicion ntsec is responsible for this.  What do
> I lose if I turn ntsec off?  I think I tried it already, and it didn't
> help, but I tried so many combinations of things that I really don't
> remember at this point.
> 
> Norman Vine wrote:
> 
>> Michael A. Chase
>> 
>>> Currently, setup.exe downloads package files from whatever mirror site a
>>> user selects and then installs the packages.  As new versions are
produced,
>>> they get downloaded and installed to replace the old version, but the
>>> archive files for the old version are not removed.  Eventually this may
>>> 
>> fill
>> 
>>> significant amounts of disk space with obsolete files.
>>> 
>>> I see two likely ways for handling this problem:
>>> 
>>> Does anyone see any other possibilities?
>>> 
>> 
>> 3) Some of us may want to keep the old versions for
>> various reasons
>> 
>> so IMHO any builtin archive cleaner should be non-automatic
>> 
>> Cheers
>> 
>> Norman Vine
>> 
>> 
>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Bug reporting:         http://cygwin.com/bugs.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/
>> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/